Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. If you'd prefer to explore, try our test area to get started. And see here for current known issues.

New Member

PLEASE COMMENT MY MIGRATION PROCEDURE !!!!! (UNITY 2.46 to 3.1.5)

I need your expertise for few question about a migration from 2.4.6 to 3.1.5 .

Situation : MCS-7835 with W2K, AD, EX55 and UNITY

See what we just planned to do :

1 - Install a new server

- DC on existing MS DOMAIN

- SQL 2K

- Exhcange 2000

- Mixed-Mode join existing EX55 organisation and site

2- Move mailbox from actual UNITY 2.4.6 to the new EX2K

4- Export Data from 2.4.6

5- Install UNITY 3.1.5 on the new server

6- Reconnect to CallManager

7- Test the system

My concerns are :

- Does the fact of moving the mailbox from EX55 to 2K will interrupt VM Service ?

- Does the import on the new 3.1.5 will remap correctly all subscriber to the right mailbox ?

- Since, we wont risk in that "migration", what will happen if we install with a spare "Key" (We absolulty want to keep 2.4.6 Key, if we have to go back) , and after the comfirmation that the system is stable, replug the "2.4.6 Key" on the new server ?, DOes this will be enough to update the key ?

We need your technical advice, since, we cannot go in lab with the CISCO Lab team before the migration to test all we want !

In your option, does this is a "correct" planning for the update ?

Thanks for your appreciable advice !

Martin

6 REPLIES
Cisco Employee

Re: PLEASE COMMENT MY MIGRATION PROCEDURE !!!!! (UNITY 2.46 to 3

Moving the mailboxes to E2K will hose up Unity 2.4.6 – I’m not sure if you planned on having 2.4.6 running through step 4 (3?) there or not but 2.4.6 does not know how to “log in” to a 2000 mailbox – the MAPI stuff is just different enough in 2000 land to cause trouble here so that wont fly.

I think you should plan on some down time here – I would:

1 make sure your 2.4.6 system is as clean as possible

2. Install 3.1(5) into your new E2K environement and make sure it’s flying right as a clean install.

3. Export the data from 2.4.6

4. uninstall 2.4.6

5. move the mail users to Ex2K

6. Run the import on the 3.1(5) box.

The 3.1(5) import will search for users first by directory ID (which will fail here) then by RDN (which will also fail) and then by mail alias which will catch the users you moved over – it’ll bind to them on the fly and make them subscribers so you should be cool there.

The idea of having a “hot failback” for 2.4.6 does not fly here. I know folks are keenly interested in having an “undo” should something go wrong here but once you move those users into Ex2K, your 2.4.6 system is all done. Further, even if you were just installing the new box into the same Ex55 site, once you start the import it begins over writing the data in the directory making those users “point” to the new Unity box – you can’t just plug the key back into the 2.4.6 box and switch back, those users will no longer be visible to it. Short story – you have to make the leap of faith here. You can make a complete backup of your Ex55/directory before moving anything and do a restore should something go wrong – that’s as close as you can get to this.

Yes, you can plug a 3.1 key into a 2.4.6 system and use it, however the 2.4.6 system will “stamp it” as a 2.x key when you load Unity up – so if you want to go back to the 3.1 system again you’ll have to reapply the upgrade code to the key.

New Member

Re: PLEASE COMMENT MY MIGRATION PROCEDURE !!!!! (UNITY 2.46 to 3

Thanks for your advice, so, we though another solution to be able to keep the mailbox data .

2nd Solution :

1- Install a completly new Server, software (SQL, EX2K) ready to UNITY 3.1.5

2- Export from 2.4.6

3- Move the Key on the New Server

4- Install 3.1.5 on the new serever

5- Import the data

6- Test the system

7- MOVE THE MAILBOX CONTENT USING EXMERGE from old EX Org to the new one

7- Shutdown old UNITY

Your input about the "reversability" of the key is usefull .. Since, this will give us the possibility to go "back" . Since, in that new solution, we will keep 2.4.6 Up and running as longest as we can, and we will be able to keep the data .

About the downtime, we plan to use IP/IVR, on a CCM, to enable a "limited" service for the weekend !

COmments please !

Thanks !

Martin

Cisco Employee

Re: PLEASE COMMENT MY MIGRATION PROCEDURE !!!!! (UNITY 2.46 to 3

so essentially you'll leave the mailboxes and Unity 2.4.6 off in it's own world and leave it running until you have the 3.1(5) stuff up and flying in it's own directory and then cut over? That's certainly OK - seems like a fine plan to me if you can do it that way.

New Member

Re: PLEASE COMMENT MY MIGRATION PROCEDURE !!!!! (UNITY 2.46 to 3

Thanks a lot Jeff for your helpfull comments !

Martin

New Member

Re: PLEASE COMMENT MY MIGRATION PROCEDURE !!!!! (UNITY 2.46 to 3

What would be a good route if you only had the following:

1 Unity Server, that is running 2.4.6 and you wanted to go towards 4.X

Since I dont have a extra server handy, would I have to upgrade to Exchange 2000?

Also what different upgrades would I have to do to bring my server current to 4.x in Unity?

Since I am new to this I am looking for as much infomation so I can write up a good solid Upgrade plan.

Many Thanks.

Steven

Cisco Employee

Re: PLEASE COMMENT MY MIGRATION PROCEDURE !!!!! (UNITY 2.46 to 3

The first place to start is the 4.0(1) installation guide which you can find here:

http://www.cisco.com/en/US/products/sw/voicesw/ps2237/products_installation_guide_book09186a0080118749.html

There's a chapter in there specifically on upgrading from 2.4.6 -

Unity 4.0 runs with Exchange 5.5 if you wish so there's no requirement to upgrade to 2000 unless you want to for some reason. You do the upgrade from 2.x to 4.x the same way you do from 2.x to 3.x - export the data from 2.x, Uninstall the server, install a new 4.x system and import the data from 2.x. This "fork lift" upgrade is necessary since the back ends changed entirely between 2.4 and 3.0 releases.

116
Views
3
Helpful
6
Replies